# $Id: ipvsadm.spec,v 1.1 2002/07/09 11:45:52 dude Exp $

Summary: Utility to administer the Linux Virtual Server.
Name: ipvsadm
Version: 1.20
Release: fr9
License: GPL
URL: http://www.LinuxVirtualServer.org/
Group: Applications/System
Source0: http://www.LinuxVirtualServer.org/software/ipvsadm-%{version}.tar.gz
Source1: ip_vs.h
Patch: ipvsadm-1.20-rh.patch
BuildRoot: %{_tmppath}/%name--root
Conflicts: piranha <= 0.4.14

%description
ipvsadm is a utility to administer the IP virtual server services
offered by the Linux kernel augmented with the virtual server patch.

%prep
%setup -q -n ipvsadm
%patch -p1 -b .rh

%build
cp %{SOURCE1} .
make CFLAGS="%{optflags}"

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}/etc/init.d
make install \
	SBIN=%{buildroot}/sbin \
	MAN=%{buildroot}%{_mandir}/man8 \
	INIT=%{buildroot}/etc/init.d

%post
/sbin/chkconfig --add ipvsadm

%preun
/sbin/chkconfig --del ipvsadm

%clean
rm -rf %{buildroot}

%files
%defattr(-, root, root)
%doc README SCHEDULERS
%config /etc/init.d/ipvsadm
/sbin/*
%{_mandir}/*/*

%changelog
* Tue Jul  9 2002 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Spec file cleanup.
- Update to 1.20.
- Modified patch for Red Hat build and updated ip_vs.h file.

* Fri Aug  3 2001 Than Ngo <than@redhat.com>
- add patch for building without installing kernel-sources in build system

* Thu Dec 30 2000 Wensong Zhang <wensong@linuxvirtualserver.org>
- update the %file section

* Thu Dec 17 2000 Wensong Zhang <wensong@linuxvirtualserver.org>
- Added a if-condition to keep both new or old rpm utility building
  the package happily.

* Tue Dec 12 2000 P.opeland <bryce@redhat.com>
- Small modifications to make the compiler happy in RH7 and the Alpha
- Fixed the documentation file that got missed off in building
  the rpm
- Made a number of -pedantic mods though popt will not compile with
  -pedantic

* Wed Aug 9 2000 Horms <horms@vergenet.net>
- Removed Obseletes tag as ipvsadm is back in /sbin where it belongs 
  as it is more or less analogous to both route and ipchains both of
  which reside in /sbin.
- Create directory to install init script into. Init scripts won't install
  into build directory unless this is done

* Thu Jul  6 2000 Wensong Zhang <wensong@linuxvirtualserver.org>
- Changed to build rpms on the ipvsadm tar ball directly

* Wed Jun 21 2000 P.Copeland <copeland@redhat.com>
- fixed silly install permission settings

* Mon Jun 19 2000 P.Copeland <copeland@redhat.com>
- Added 'dist' and 'rpms' to the Makefile
- Added Obsoletes tag since there were early versions
  of ipvsadm-*.rpm that installed in /sbin
- Obsolete tag was a bit vicious re: piranha

* Mon Apr 10 2000 Horms <horms@vergenet.net>
- created for version 1.9
